<#macro generateDoc doc>
	<!-- Generated from ${doc.sourceLink.file.path}:${doc.sourceLink.startLine} -->
	<p>
		<#if doc.id??>
			<a name="${doc.id}"></a>
		</#if>
		${doc.text}
		<#if sourceBrowser??>
			<p>
				<a class="easydoc-source-link" 
					href="${sourceBrowser.generateUrl(doc)}" 
					target="_blank">source</a>
			</p>
		</#if>
	</p>
</#macro>

<#macro generateDocTree docTree>
	<#list docTree as doc>
		<@generateDoc doc=doc/>
		<#if doc.children??>
			<@generateDocTree docTree=doc.children/>
		</#if>
	</#list>
</#macro>

<html>
	<head>
		<meta http-equiv="content-type" content="text/html; charset=UTF-8">
		<title>Documentation</title>
		
		<#if css??>
			<style>
				${css}
			</style>
		</#if>
	</head>
	
	<body>
		<@generateDocTree docTree=doctree/>
		
		<div class="easydoc-footer">
			Generated by <a href="https://github.com/weekens/easydoc">Easydoc</a> 
			version ${version}.
		</div>
	</body>
</html>